package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 职业专业关联对象 mall_career_major
 * 
 * @author ruoyi
 * @date 2023-11-25
 */
public class MallCareerMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关联编号 */
    private Long linkId;

    /** 职业编号 */
    @Excel(name = "职业编号")
    private Long careerId;
    /** 职业名称 */
    private String careerName;

    /** 平均年薪 */
    private BigDecimal careerMoney;
    /** 专业编号 */

    private Long majorId;
    @Excel(name = "专业名")
    private String majorName;
    private String concatenatedMajors;
    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setLinkId(Long linkId) 
    {
        this.linkId = linkId;
    }

    public Long getLinkId() 
    {
        return linkId;
    }
    public void setCareerId(Long careerId) 
    {
        this.careerId = careerId;
    }

    public Long getCareerId() 
    {
        return careerId;
    }
    public void setMajorId(Long majorId) 
    {
        this.majorId = majorId;
    }

    public Long getMajorId() 
    {
        return majorId;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("linkId", getLinkId())
            .append("careerId", getCareerId())
            .append("majorId", getMajorId())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }

    public String getCareerName() {
        return careerName;
    }

    public void setCareerName(String careerName) {
        this.careerName = careerName;
    }

    public BigDecimal getCareerMoney() {
        return careerMoney;
    }

    public void setCareerMoney(BigDecimal careerMoney) {
        this.careerMoney = careerMoney;
    }

    public String getConcatenatedMajors() {
        return concatenatedMajors;
    }

    public void setConcatenatedMajors(String concatenatedMajors) {
        this.concatenatedMajors = concatenatedMajors;
    }
}
